Summary: A PDF file viewer for the X Window System.
Name: xpdf
Version: 0.90
Release: 1
Copyright: GPL
Source0: ftp://ftp.foolabs.com/pub/xpdf/%{name}-%{version}.tgz
Source1: ftp://ftp.foolabs.com/pub/xpdf/t1lib-0.9.1.tar.gz
Source2: xpdf.desktop
Patch0: xpdf-0.90-zapf.patch
Url: http://www.foolabs.com.com/xpdf/
Group: Applications/Publishing
BuildRoot: /var/tmp/xpdf-root

%description
Xpdf is an X Window System based viewer for Portable Document Format
(PDF) files.  PDF files are sometimes called Acrobat files, after
Adobe Acrobat (Adobe's PDF viewer).  Xpdf is a small and efficient
program which uses standard X fonts.

Install the xpdf package if you need a viewer for PDF files.

%prep
%setup -q -a 1
%patch0 -p1 -b .zapf

%build
cd T1-0.9.1
./configure --disable-shared --enable-static
make without_doc
cd ..

./configure --prefix=/usr --with-gzip \
	--with-t1-library=`pwd`/T1-0.9.1/lib/.libs \
	--with-t1-includes=`pwd`/T1-0.9.1/lib
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/{bin,man/man1}
make install prefix=$RPM_BUILD_ROOT/usr
mkdir -p $RPM_BUILD_ROOT/etc/X11/applnk/Applications
install $RPM_SOURCE_DIR/xpdf.desktop \
	$RPM_BUILD_ROOT/etc/X11/applnk/Applications
strip $RPM_BUILD_ROOT/usr/bin/*

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc CHANGES README
/usr/bin/*
/usr/man/man1/*
%config (missingok) %attr(0644,root,root) /etc/X11/applnk/Applications/xpdf.desktop

%changelog
* Mon Aug 30 1999 Preston Brown <pbrown@redhat.com>
- upgrade to xpdf 0.90, include t1lib Type1 rasterizer
- fix zapfdingbats font mapping issue

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 4)

* Wed Mar 17 1999 Preston Brown <pbrown@redhat.com>
- converted wmconfig to desktop entry

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Mon Nov 30 1998 Preston Brown <pbrown@redhat.com>
- updated to 0.80

* Fri Nov 06 1998 Preston Brown <pbrown@redhat.com>
- patched to compile with new, stricter egcs

* Tue May 05 1998 Cristian Gafton <gafton@redhat.com>
- updated to 0.7a

* Thu Nov 20 1997 Otto Hammersmith <otto@redhat.com>
- added changelog
- added wmconfig
